using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Adressbuch
{
    public partial class Personen : Form
    {
        public Personen()
        {
            InitializeComponent();
        }

        private void personBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.personBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.adressbuchDataSet);

        }

        private void personBindingNavigatorSaveItem_Click_1(object sender, EventArgs e)
        {
            this.Validate();
            this.personBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.adressbuchDataSet);

        }

        private void personBindingNavigatorSaveItem_Click_2(object sender, EventArgs e)
        {
            this.Validate();
            this.personBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.adressbuchDataSet);

        }

        private void Personen_Load(object sender, EventArgs e)
        {
            // TODO: Diese Codezeile lädt Daten in die Tabelle "adressbuchDataSet.Kontaktart". Sie können sie bei Bedarf verschieben oder entfernen.
            this.kontaktartTableAdapter.Fill(this.adressbuchDataSet.Kontaktart);
            // TODO: Diese Codezeile lädt Daten in die Tabelle "adressbuchDataSet.Kontakt". Sie können sie bei Bedarf verschieben oder entfernen.
            this.kontaktTableAdapter.Fill(this.adressbuchDataSet.Kontakt);
            // TODO: Diese Codezeile lädt Daten in die Tabelle "adressbuchDataSet.Person". Sie können sie bei Bedarf verschieben oder entfernen.
            this.personTableAdapter.Fill(this.adressbuchDataSet.Person);

        }
    }
}
